/* engine_core.h
 *
 * ZEthereal -- Ethereal for the Sharp Zaurus
 * Copyright (C) 2003  Philippe Biondi <biondi@cartel-securite.fr>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef ENGINE_CORE_H
#define ENGINE_CORE_H
#include "../globals.h"



#define ERR_FILTER  1
#define ERR_OPENCAP 2
#define ERR_LOADCAP 3
#define ERR_NOPCAP  4


struct metapkt_s {
        struct wtap_pkthdr *phdr;
        void *pphdr;
        unsigned char *pkt;
        void    *fdata;
        GNode *tree;
};

typedef struct metapkt_s metapkt_t;

#ifdef HAVE_LIBPCAP
typedef struct {
        int snaplen;                    /* Maximum captured packet length */
        int promisc_mode;               /* Capture in promiscuous mode */
        int autostop_count;             /* Maximum packet count */
        gboolean has_autostop_duration; /* TRUE if maximum capture duration
                                           is specified */
        gint32 autostop_duration;       /* Maximum capture duration */
        gboolean has_autostop_filesize; /* TRUE if maximum capture file size
                                           is specified */
        gint32 autostop_filesize;       /* Maximum capture file size */
        gboolean ringbuffer_on;         /* TRUE if ring buffer in use */
        guint32 ringbuffer_num_files;   /* Number of ring buffer files */
} capture_options;
#endif


//extern capture_file cfile;
#ifdef HAVE_LIBPCAP
extern capture_options capture_opts; 
#endif

int engine_core_init(void);
int engine_core_start(char *cf_name, char *rfilter);
int engine_core_cleanup(void);

#endif 
